# 45. Mutasjon: Lagre brukerdata

Mutasjon for å sette brukerens kontoinnstillinger. Mutasjonen setter bare de forespurte attributtene.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasjon SaveUserDataSample {
  saveUserData(
    input: {
      språk: en
      arealenhet: ACRES
      soilDatasetClassesAmount: 6
    }
  ) {
    uuid
    epost
    arealenhet
    språk
    antallJordsmonnDatasetKlasser
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/45.-mutasjon-lagre-brukerdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
